package jp.co.yaskawa.rtc.integratedMotion.armService;

import jp.co.yaskawa.rtc.integratedMotion.RTC.*;
/**
* _ManipulatorCommonInterface_CommonStub.java .
* IDL-to-Java コンパイラ (ポータブル), バージョン "3.1" で生成
* 生成元: ManipulatorCommonInterface_Common.idl
* 2010年10月4日 14時49分41秒 JST
*/

public class _ManipulatorCommonInterface_CommonStub extends org.omg.CORBA.portable.ObjectImpl implements ManipulatorCommonInterface_Common
{

  public RETURN_ID clearAlarms ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("clearAlarms", true);
                $in = _invoke ($out);
                RETURN_ID $result = RETURN_IDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return clearAlarms (        );
            } finally {
                _releaseReply ($in);
            }
  } // clearAlarms

  public RETURN_ID getActiveAlarm (AlarmSeqHolder alarms)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("getActiveAlarm", true);
                $in = _invoke ($out);
                RETURN_ID $result = RETURN_IDHelper.read ($in);
                alarms.value = AlarmSeqHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return getActiveAlarm (alarms        );
            } finally {
                _releaseReply ($in);
            }
  } // getActiveAlarm

  public RETURN_ID getFeedbackPosJoint (JointPosHolder pos)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("getFeedbackPosJoint", true);
                $in = _invoke ($out);
                RETURN_ID $result = RETURN_IDHelper.read ($in);
                pos.value = JointPosHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return getFeedbackPosJoint (pos        );
            } finally {
                _releaseReply ($in);
            }
  } // getFeedbackPosJoint

  public RETURN_ID getManipInfo (ManipInfoHolder manipInfo)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("getManipInfo", true);
                $in = _invoke ($out);
                RETURN_ID $result = RETURN_IDHelper.read ($in);
                manipInfo.value = ManipInfoHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return getManipInfo (manipInfo        );
            } finally {
                _releaseReply ($in);
            }
  } // getManipInfo

  public RETURN_ID getSoftLimitJoint (LimitSeqHolder softLimit)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("getSoftLimitJoint", true);
                $in = _invoke ($out);
                RETURN_ID $result = RETURN_IDHelper.read ($in);
                softLimit.value = LimitSeqHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return getSoftLimitJoint (softLimit        );
            } finally {
                _releaseReply ($in);
            }
  } // getSoftLimitJoint

  public RETURN_ID getState (org.omg.CORBA.IntHolder state)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("getState", true);
                $in = _invoke ($out);
                RETURN_ID $result = RETURN_IDHelper.read ($in);
                state.value = ULONGHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return getState (state        );
            } finally {
                _releaseReply ($in);
            }
  } // getState

  public RETURN_ID servoOFF ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("servoOFF", true);
                $in = _invoke ($out);
                RETURN_ID $result = RETURN_IDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return servoOFF (        );
            } finally {
                _releaseReply ($in);
            }
  } // servoOFF

  public RETURN_ID servoON ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("servoON", true);
                $in = _invoke ($out);
                RETURN_ID $result = RETURN_IDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return servoON (        );
            } finally {
                _releaseReply ($in);
            }
  } // servoON

  public RETURN_ID setSoftLimitJoint (LimitValue[] softLimit)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("setSoftLimitJoint", true);
                LimitSeqHelper.write ($out, softLimit);
                $in = _invoke ($out);
                RETURN_ID $result = RETURN_IDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return setSoftLimitJoint (softLimit        );
            } finally {
                _releaseReply ($in);
            }
  } // setSoftLimitJoint

  // Type-specific CORBA::Object operations
  private static String[] __ids = {
    "IDL:ManipulatorCommonInterface_Common:1.0"};

  public String[] _ids ()
  {
    return (String[])__ids.clone ();
  }

  private void readObject (java.io.ObjectInputStream s) throws java.io.IOException
  {
     String str = s.readUTF ();
     String[] args = null;
     java.util.Properties props = null;
     org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init (args, props);
   try {
     org.omg.CORBA.Object obj = orb.string_to_object (str);
     org.omg.CORBA.portable.Delegate delegate = ((org.omg.CORBA.portable.ObjectImpl) obj)._get_delegate ();
     _set_delegate (delegate);
   } finally {
     orb.destroy() ;
   }
  }

  private void writeObject (java.io.ObjectOutputStream s) throws java.io.IOException
  {
     String[] args = null;
     java.util.Properties props = null;
     org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init (args, props);
   try {
     String str = orb.object_to_string (this);
     s.writeUTF (str);
   } finally {
     orb.destroy() ;
   }
  }
} // class _ManipulatorCommonInterface_CommonStub
