package jp.co.yaskawa.rtc.integratedMotion.controller;

/**
* AlarmType.java .
* IDL-to-Java コンパイラ (ポータブル), バージョン "3.1" で生成
* 生成元: IntegratedMotionInterface.idl
* 2011年1月18日 14時33分32秒 JST
*/


/*
 Integrated Motion component interface
 Yaskawa Electric Corporation 2010
 rev. 20110118
*/
public class AlarmType implements org.omg.CORBA.portable.IDLEntity
{
  private        int __value;
  private static int __size = 3;
  private static AlarmType[] __array = new AlarmType [__size];

  public static final int _FAULT = 0;
  public static final AlarmType FAULT = new AlarmType(_FAULT);
  public static final int _WARNING = 1;
  public static final AlarmType WARNING = new AlarmType(_WARNING);
  public static final int _UNKNOWN = 2;
  public static final AlarmType UNKNOWN = new AlarmType(_UNKNOWN);

  public int value ()
  {
    return __value;
  }

  public static AlarmType from_int (int value)
  {
    if (value >= 0 && value < __size)
      return __array[value];
    else
      throw new org.omg.CORBA.BAD_PARAM ();
  }

  protected AlarmType (int value)
  {
    __value = value;
    __array[__value] = this;
  }
} // class AlarmType
