package jp.co.yaskawa.rtc.integratedMotion.controller;


/**
* IntegratedMotionInterfacePOA.java .
* IDL-to-Java コンパイラ (ポータブル), バージョン "3.1" で生成
* 生成元: IntegratedMotionInterface.idl
* 2011年9月7日 9時50分06秒 JST
*/

public abstract class IntegratedMotionInterfacePOA extends org.omg.PortableServer.Servant
 implements IntegratedMotionInterfaceOperations, org.omg.CORBA.portable.InvokeHandler
{

  // Constructors

  private static java.util.Hashtable _methods = new java.util.Hashtable ();
  static
  {
    _methods.put ("abort", new java.lang.Integer (0));
    _methods.put ("clearAlarms", new java.lang.Integer (1));
    _methods.put ("closeGripper", new java.lang.Integer (2));
    _methods.put ("getActiveAlarm", new java.lang.Integer (3));
    _methods.put ("getFeedbackPosCartesian", new java.lang.Integer (4));
    _methods.put ("getFeedbackPosJoint", new java.lang.Integer (5));
    _methods.put ("getGripperPos", new java.lang.Integer (6));
    _methods.put ("getState", new java.lang.Integer (7));
    _methods.put ("getVersion", new java.lang.Integer (8));
    _methods.put ("isMoving", new java.lang.Integer (9));
    _methods.put ("isServoOn", new java.lang.Integer (10));
    _methods.put ("moveCPHoldAbs", new java.lang.Integer (11));
    _methods.put ("moveCPHoldRel", new java.lang.Integer (12));
    _methods.put ("moveGripper", new java.lang.Integer (13));
    _methods.put ("moveJogCPHold", new java.lang.Integer (14));
    _methods.put ("moveJogLinear", new java.lang.Integer (15));
    _methods.put ("moveLinearCartesianAbs", new java.lang.Integer (16));
    _methods.put ("moveLinearCartesianRel", new java.lang.Integer (17));
    _methods.put ("moveLinearCartesianAbsWithRedundant", new java.lang.Integer (18));
    _methods.put ("moveLinearCartesianRelWithRedundant", new java.lang.Integer (19));
    _methods.put ("movePTPCartesianAbs", new java.lang.Integer (20));
    _methods.put ("movePTPCartesianRel", new java.lang.Integer (21));
    _methods.put ("moveUnitAbs", new java.lang.Integer (22));
    _methods.put ("moveUnitRel", new java.lang.Integer (23));
    _methods.put ("openGripper", new java.lang.Integer (24));
    _methods.put ("pause", new java.lang.Integer (25));
    _methods.put ("resetOriginalFrame", new java.lang.Integer (26));
    _methods.put ("resume", new java.lang.Integer (27));
    _methods.put ("selectRedundantAxes", new java.lang.Integer (28));
    _methods.put ("servoOff", new java.lang.Integer (29));
    _methods.put ("servoOn", new java.lang.Integer (30));
    _methods.put ("setControlPointOffset", new java.lang.Integer (31));
    _methods.put ("setJogTimeout", new java.lang.Integer (32));
    _methods.put ("stop", new java.lang.Integer (33));
  }

  public org.omg.CORBA.portable.OutputStream _invoke (String $method,
                                org.omg.CORBA.portable.InputStream in,
                                org.omg.CORBA.portable.ResponseHandler $rh)
  {
    org.omg.CORBA.portable.OutputStream out = null;
    java.lang.Integer __method = (java.lang.Integer)_methods.get ($method);
    if (__method == null)
      throw new org.omg.CORBA.BAD_OPERATION (0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);

    switch (__method.intValue ())
    {
       case 0:  // IntegratedMotionInterface/abort
       {
         ReturnID $result = null;
         $result = this.abort ();
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 1:  // IntegratedMotionInterface/clearAlarms
       {
         ReturnID $result = null;
         $result = this.clearAlarms ();
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 2:  // IntegratedMotionInterface/closeGripper
       {
         RightLeft type = RightLeftHelper.read (in);
         ReturnID $result = null;
         $result = this.closeGripper (type);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 3:  // IntegratedMotionInterface/getActiveAlarm
       {
         AlarmSeqHolder alarms = new AlarmSeqHolder ();
         ReturnID $result = null;
         $result = this.getActiveAlarm (alarms);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         AlarmSeqHelper.write (out, alarms.value);
         break;
       }

       case 4:  // IntegratedMotionInterface/getFeedbackPosCartesian
       {
         RightLeft type = RightLeftHelper.read (in);
         FrameType frameType = FrameTypeHelper.read (in);
         CarPosWithElbowHolder pos = new CarPosWithElbowHolder ();
         ReturnID $result = null;
         $result = this.getFeedbackPosCartesian (type, frameType, pos);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         CarPosWithElbowHelper.write (out, pos.value);
         break;
       }

       case 5:  // IntegratedMotionInterface/getFeedbackPosJoint
       {
         UnitType type = UnitTypeHelper.read (in);
         DoubleSeqHolder position = new DoubleSeqHolder ();
         ReturnID $result = null;
         $result = this.getFeedbackPosJoint (type, position);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         DoubleSeqHelper.write (out, position.value);
         break;
       }

       case 6:  // IntegratedMotionInterface/getGripperPos
       {
         RightLeft type = RightLeftHelper.read (in);
         org.omg.CORBA.IntHolder angleRatio = new org.omg.CORBA.IntHolder ();
         ReturnID $result = null;
         $result = this.getGripperPos (type, angleRatio);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         out.write_ulong (angleRatio.value);
         break;
       }

       case 7:  // IntegratedMotionInterface/getState
       {
         org.omg.CORBA.IntHolder statusId = new org.omg.CORBA.IntHolder ();
         org.omg.CORBA.StringHolder message = new org.omg.CORBA.StringHolder ();
         ReturnID $result = null;
         $result = this.getState (statusId, message);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         out.write_ulong (statusId.value);
         out.write_string (message.value);
         break;
       }

       case 8:  // IntegratedMotionInterface/getVersion
       {
         org.omg.CORBA.StringHolder version = new org.omg.CORBA.StringHolder ();
         ReturnID $result = null;
         $result = this.getVersion (version);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         out.write_string (version.value);
         break;
       }

       case 9:  // IntegratedMotionInterface/isMoving
       {
         boolean $result = false;
         $result = this.isMoving ();
         out = $rh.createReply();
         out.write_boolean ($result);
         break;
       }

       case 10:  // IntegratedMotionInterface/isServoOn
       {
         boolean $result = false;
         $result = this.isServoOn ();
         out = $rh.createReply();
         out.write_boolean ($result);
         break;
       }

       case 11:  // IntegratedMotionInterface/moveCPHoldAbs
       {
         RightLeft type = RightLeftHelper.read (in);
         RedundantPos absPos = RedundantPosHelper.read (in);
         RedundantSpeed speed = RedundantSpeedHelper.read (in);
         RedundantAccel accel = RedundantAccelHelper.read (in);
         ReturnID $result = null;
         $result = this.moveCPHoldAbs (type, absPos, speed, accel);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 12:  // IntegratedMotionInterface/moveCPHoldRel
       {
         RightLeft type = RightLeftHelper.read (in);
         RedundantPos relPos = RedundantPosHelper.read (in);
         RedundantSpeed speed = RedundantSpeedHelper.read (in);
         RedundantAccel accel = RedundantAccelHelper.read (in);
         ReturnID $result = null;
         $result = this.moveCPHoldRel (type, relPos, speed, accel);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 13:  // IntegratedMotionInterface/moveGripper
       {
         RightLeft type = RightLeftHelper.read (in);
         int angleRatio = in.read_ulong ();
         ReturnID $result = null;
         $result = this.moveGripper (type, angleRatio);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 14:  // IntegratedMotionInterface/moveJogCPHold
       {
         RightLeft type = RightLeftHelper.read (in);
         RedundantJogSpeed speed = RedundantJogSpeedHelper.read (in);
         ReturnID $result = null;
         $result = this.moveJogCPHold (type, speed);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 15:  // IntegratedMotionInterface/moveJogLinear
       {
         RightLeft type = RightLeftHelper.read (in);
         CommandFrameType frameType = CommandFrameTypeHelper.read (in);
         CartesianJogSpeed speed = CartesianJogSpeedHelper.read (in);
         boolean isHoldOtherArm = in.read_boolean ();
         ReturnID $result = null;
         $result = this.moveJogLinear (type, frameType, speed, isHoldOtherArm);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 16:  // IntegratedMotionInterface/moveLinearCartesianAbs
       {
         RightLeft type = RightLeftHelper.read (in);
         double absHgMat[][] = HgMatrixHelper.read (in);
         CartesianSpeed speed = CartesianSpeedHelper.read (in);
         CartesianAccel accel = CartesianAccelHelper.read (in);
         boolean isHoldOtherArm = in.read_boolean ();
         ReturnID $result = null;
         $result = this.moveLinearCartesianAbs (type, absHgMat, speed, accel, isHoldOtherArm);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 17:  // IntegratedMotionInterface/moveLinearCartesianRel
       {
         RightLeft type = RightLeftHelper.read (in);
         CommandFrameType frameType = CommandFrameTypeHelper.read (in);
         double relHgMat[][] = HgMatrixHelper.read (in);
         CartesianSpeed speed = CartesianSpeedHelper.read (in);
         CartesianAccel accel = CartesianAccelHelper.read (in);
         boolean isHoldOtherArm = in.read_boolean ();
         ReturnID $result = null;
         $result = this.moveLinearCartesianRel (type, frameType, relHgMat, speed, accel, isHoldOtherArm);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 18:  // IntegratedMotionInterface/moveLinearCartesianAbsWithRedundant
       {
         RightLeft type = RightLeftHelper.read (in);
         double absCpPos[][] = HgMatrixHelper.read (in);
         CartesianSpeed speed = CartesianSpeedHelper.read (in);
         CartesianAccel accel = CartesianAccelHelper.read (in);
         RedundantPos absRedPos = RedundantPosHelper.read (in);
         RedundantSpeed redSpeed = RedundantSpeedHelper.read (in);
         RedundantAccel redAccel = RedundantAccelHelper.read (in);
         boolean isHoldOtherArm = in.read_boolean ();
         ReturnID $result = null;
         $result = this.moveLinearCartesianAbsWithRedundant (type, absCpPos, speed, accel, absRedPos, redSpeed, redAccel, isHoldOtherArm);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 19:  // IntegratedMotionInterface/moveLinearCartesianRelWithRedundant
       {
         RightLeft type = RightLeftHelper.read (in);
         double relCpPos[][] = HgMatrixHelper.read (in);
         CartesianSpeed speed = CartesianSpeedHelper.read (in);
         CartesianAccel accel = CartesianAccelHelper.read (in);
         RedundantPos relRedPos = RedundantPosHelper.read (in);
         RedundantSpeed redSpeed = RedundantSpeedHelper.read (in);
         RedundantAccel redAccel = RedundantAccelHelper.read (in);
         boolean isHoldOtherArm = in.read_boolean ();
         ReturnID $result = null;
         $result = this.moveLinearCartesianRelWithRedundant (type, relCpPos, speed, accel, relRedPos, redSpeed, redAccel, isHoldOtherArm);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 20:  // IntegratedMotionInterface/movePTPCartesianAbs
       {
         RightLeft type = RightLeftHelper.read (in);
         double absHgMat[][] = HgMatrixHelper.read (in);
         double time = in.read_double ();
         boolean isHoldOtherArm = in.read_boolean ();
         ReturnID $result = null;
         $result = this.movePTPCartesianAbs (type, absHgMat, time, isHoldOtherArm);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 21:  // IntegratedMotionInterface/movePTPCartesianRel
       {
         RightLeft type = RightLeftHelper.read (in);
         double relHgMat[][] = HgMatrixHelper.read (in);
         double time = in.read_double ();
         boolean isHoldOtherArm = in.read_boolean ();
         ReturnID $result = null;
         $result = this.movePTPCartesianRel (type, relHgMat, time, isHoldOtherArm);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 22:  // IntegratedMotionInterface/moveUnitAbs
       {
         UnitType type = UnitTypeHelper.read (in);
         double absPos[] = DoubleSeqHelper.read (in);
         double speed[] = DoubleSeqHelper.read (in);
         double accel[] = DoubleSeqHelper.read (in);
         ReturnID $result = null;
         $result = this.moveUnitAbs (type, absPos, speed, accel);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 23:  // IntegratedMotionInterface/moveUnitRel
       {
         UnitType type = UnitTypeHelper.read (in);
         double relPos[] = DoubleSeqHelper.read (in);
         double speed[] = DoubleSeqHelper.read (in);
         double accel[] = DoubleSeqHelper.read (in);
         ReturnID $result = null;
         $result = this.moveUnitRel (type, relPos, speed, accel);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 24:  // IntegratedMotionInterface/openGripper
       {
         RightLeft type = RightLeftHelper.read (in);
         ReturnID $result = null;
         $result = this.openGripper (type);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 25:  // IntegratedMotionInterface/pause
       {
         ReturnID $result = null;
         $result = this.pause ();
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 26:  // IntegratedMotionInterface/resetOriginalFrame
       {
         ReturnID $result = null;
         $result = this.resetOriginalFrame ();
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 27:  // IntegratedMotionInterface/resume
       {
         ReturnID $result = null;
         $result = this.resume ();
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 28:  // IntegratedMotionInterface/selectRedundantAxes
       {
         RedundantAxesMask redundancy = RedundantAxesMaskHelper.read (in);
         RedundantLimit limit = RedundantLimitHelper.read (in);
         ReturnID $result = null;
         $result = this.selectRedundantAxes (redundancy, limit);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 29:  // IntegratedMotionInterface/servoOff
       {
         ReturnID $result = null;
         $result = this.servoOff ();
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 30:  // IntegratedMotionInterface/servoOn
       {
         ReturnID $result = null;
         $result = this.servoOn ();
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 31:  // IntegratedMotionInterface/setControlPointOffset
       {
         RightLeft type = RightLeftHelper.read (in);
         double offset[][] = HgMatrixHelper.read (in);
         ReturnID $result = null;
         $result = this.setControlPointOffset (type, offset);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 32:  // IntegratedMotionInterface/setJogTimeout
       {
         int time = in.read_ulong ();
         ReturnID $result = null;
         $result = this.setJogTimeout (time);
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       case 33:  // IntegratedMotionInterface/stop
       {
         ReturnID $result = null;
         $result = this.stop ();
         out = $rh.createReply();
         ReturnIDHelper.write (out, $result);
         break;
       }

       default:
         throw new org.omg.CORBA.BAD_OPERATION (0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
    }

    return out;
  } // _invoke

  // Type-specific CORBA::Object operations
  private static String[] __ids = {
    "IDL:IntegratedMotionInterface:1.0"};

  public String[] _all_interfaces (org.omg.PortableServer.POA poa, byte[] objectId)
  {
    return (String[])__ids.clone ();
  }

  public IntegratedMotionInterface _this() 
  {
    return IntegratedMotionInterfaceHelper.narrow(
    super._this_object());
  }

  public IntegratedMotionInterface _this(org.omg.CORBA.ORB orb) 
  {
    return IntegratedMotionInterfaceHelper.narrow(
    super._this_object(orb));
  }


} // class IntegratedMotionInterfacePOA
