package jp.co.yaskawa.rtc.integratedMotion.toRedundancy;

/**
* _RedundancyConfigStub.java .
* IDL-to-Java コンパイラ (ポータブル), バージョン "3.1" で生成
* 生成元: RedundancyConfig.idl
* 2011年8月2日 10時57分41秒 JST
*/

public class _RedundancyConfigStub extends org.omg.CORBA.portable.ObjectImpl implements RedundancyConfig
{

  public ReturnID resetOriginalFrame ()
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("resetOriginalFrame", true);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return resetOriginalFrame (        );
            } finally {
                _releaseReply ($in);
            }
  } // resetOriginalFrame

  public ReturnID selectMode (short mode, RightLeft type, boolean isHoldOtherArm)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("selectMode", true);
                $out.write_short (mode);
                RightLeftHelper.write ($out, type);
                $out.write_boolean (isHoldOtherArm);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return selectMode (mode, type, isHoldOtherArm        );
            } finally {
                _releaseReply ($in);
            }
  } // selectMode

  public ReturnID selectRedundancy (RedundantAxesMask redundancy)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("selectRedundancy", true);
                RedundantAxesMaskHelper.write ($out, redundancy);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return selectRedundancy (redundancy        );
            } finally {
                _releaseReply ($in);
            }
  } // selectRedundancy

  public ReturnID setControlPointOffset (RightLeft type, double[][] offset)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("setControlPointOffset", true);
                RightLeftHelper.write ($out, type);
                HgMatrixHelper.write ($out, offset);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return setControlPointOffset (type, offset        );
            } finally {
                _releaseReply ($in);
            }
  } // setControlPointOffset

  public ReturnID setRedundantAxesLimit (RedundantLimit limit)
  {
            org.omg.CORBA.portable.InputStream $in = null;
            try {
                org.omg.CORBA.portable.OutputStream $out = _request ("setRedundantAxesLimit", true);
                RedundantLimitHelper.write ($out, limit);
                $in = _invoke ($out);
                ReturnID $result = ReturnIDHelper.read ($in);
                return $result;
            } catch (org.omg.CORBA.portable.ApplicationException $ex) {
                $in = $ex.getInputStream ();
                String _id = $ex.getId ();
                throw new org.omg.CORBA.MARSHAL (_id);
            } catch (org.omg.CORBA.portable.RemarshalException $rm) {
                return setRedundantAxesLimit (limit        );
            } finally {
                _releaseReply ($in);
            }
  } // setRedundantAxesLimit

  // Type-specific CORBA::Object operations
  private static String[] __ids = {
    "IDL:RedundancyConfig:1.0"};

  public String[] _ids ()
  {
    return (String[])__ids.clone ();
  }

  private void readObject (java.io.ObjectInputStream s) throws java.io.IOException
  {
     String str = s.readUTF ();
     String[] args = null;
     java.util.Properties props = null;
     org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init (args, props);
   try {
     org.omg.CORBA.Object obj = orb.string_to_object (str);
     org.omg.CORBA.portable.Delegate delegate = ((org.omg.CORBA.portable.ObjectImpl) obj)._get_delegate ();
     _set_delegate (delegate);
   } finally {
     orb.destroy() ;
   }
  }

  private void writeObject (java.io.ObjectOutputStream s) throws java.io.IOException
  {
     String[] args = null;
     java.util.Properties props = null;
     org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init (args, props);
   try {
     String str = orb.object_to_string (this);
     s.writeUTF (str);
   } finally {
     orb.destroy() ;
   }
  }
} // class _RedundancyConfigStub
